#ifndef SETTINGS_HPP_INCLUDED
#define SETTINGS_HPP_INCLUDED

#include <cstdint>
#include <vector>

/** @addtogroup Tools
* @{ */
namespace Settings
{
    std::vector<std::int32_t> GetAll();

    std::int32_t GetSetting(std::int32_t SettingIndex);
    std::int32_t GetSetting(std::int32_t SettingIndex, std::int32_t BitMask);
    bool GetSettingBit(std::int32_t SettingIndex, std::int32_t BitIndex);
    
    std::int32_t GetScreenType();

    bool IsEscToCloseInterfacesOn();
    bool IsShiftClickToDropOn();
    bool IsScrollToZoomOn();
}

/** @} */

#endif // SETTINGS_HPP_INCLUDED
